# Anserini Release Notes (v0.13.0)

**Release date: June 22, 2021**

+ Overhauled regressions for MS MARCO {passage, doc} and DL {19, 20}.
+ Added `JsonVectorCollection` and `ImpactSimilarity`: support for indexing and querying based on pre-defined impacts.
+ Added reproduction guide for [DeepImpact](https://arxiv.org/abs/2104.12016).
+ Added FEVER regression.
+ Added updated NQ topics.
+ Improved support for multiple languages.
+ Improved bindings for qrels.
+ Changed `SearchCollection` output writer to UTF-8 encoding (fixes bug with FEVER).
+ Changed tagline in code boilerplate.
 
## Contributors (This Release)

Sorted by number of commits:

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Kelvin Jiang ([kelvin-jiang](https://github.com/kelvin-jiang))
+ Xueguang Ma ([MXueguang](https://github.com/MXueguang))
+ Andrew Guo ([andrewyguo](https://github.com/andrewyguo))
+ Xinyu (Crystina) Zhang ([crystina-z](https://github.com/crystina-z))
+ David Duan ([RootofalleviI](https://github.com/RootofalleviI))
+ Jin Park ([jpark621](https://github.com/jpark621)) 
+ Mayank Anand ([mayankanand007](https://github.com/mayankanand007))
+ Ronak Pradeep ([ronakice](https://github.com/ronakice))
+ Xinyan (Velocity) Yu ([velocityCavalry](https://github.com/velocityCavalry))
+ Xinyu Ma ([Albert-Ma](https://github.com/Albert-Ma))

## All Contributors

All contributors with more than one commit, sorted by number of commits, [according to GitHub](https://github.com/castorini/Anserini/graphs/contributors):

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Peilin Yang ([Peilin-Yang](https://github.com/Peilin-Yang))
+ Ryan Clancy ([r-clancy](https://github.com/r-clancy))
+ Ahmet Arslan ([iorixxx](https://github.com/iorixxx))
+ Edwin Zhang ([edwinzhng](https://github.com/edwinzhng))
+ Rodrigo Nogueira ([rodrigonogueira4](https://github.com/rodrigonogueira4))
+ Emily Wang ([emmileaf](https://github.com/emmileaf))
+ Royal Sequiera ([rosequ](https://github.com/rosequ))
+ Chris Kamphuis ([Chriskamphuis](https://github.com/Chriskamphuis))
+ Victor Yang ([Victor0118](https://github.com/Victor0118))
+ Boris Lin ([borislin](https://github.com/borislin))
+ Tommaso Teofili ([tteofili](https://github.com/tteofili))
+ Nikhil Gupta ([nikhilro](https://github.com/nikhilro))
+ Xueguang Ma ([MXueguang](https://github.com/MXueguang))
+ Stephanie Hu ([stephaniewhoo](https://github.com/stephaniewhoo))
+ Yuhao Xie ([Kytabyte](https://github.com/Kytabyte))
+ Shane Ding ([shaneding](https://github.com/shaneding))
+ Kuang Lu ([lukuang](https://github.com/lukuang))
+ Adam Yang ([adamyy](https://github.com/adamyy))
+ Ronak Pradeep ([ronakice](https://github.com/ronakice))
+ Luchen Tan ([LuchenTan](https://github.com/LuchenTan))
+ Xinyu Mavis Liu ([x389liu](https://github.com/x389liu))
+ Salman Mohammed ([salman1993](https://github.com/salman1993))
+ Zhiying Jiang ([bazingagin](https://github.com/bazingagin))
+ Johnson Han ([x65han](https://github.com/x65han))
+ Kelvin Jiang ([kelvin-jiang](https://github.com/kelvin-jiang))
+ Hang Cui ([HangCui0510](https://github.com/HangCui0510))
+ Dayang Shi ([dyshi](https://github.com/dyshi))
+ Yuqi Liu ([yuki617](https://github.com/yuki617))
+ Michael Tu ([tuzhucheng](https://github.com/tuzhucheng))
+ Zeynep Akkalyoncu Yilmaz ([zeynepakkalyoncu](https://github.com/zeynepakkalyoncu))
+ Peng Shi ([Impavidity](https://github.com/Impavidity))
+ Justin Borromeo ([justinborromeo](https://github.com/justinborromeo))
+ Xin Qian ([xeniaqian94](https://github.com/xeniaqian94))
+ Joel Mackenzie ([JMMackenzie](https://github.com/JMMackenzie))
+ Estella Liu ([estella98](https://github.com/estella98))
+ Pepijn Boers ([PepijnBoers](https://github.com/PepijnBoers))
+ Yuxin (Vicky) Zhu ([yxzhu16](https://github.com/yxzhu16))
+ Lizzy Zhang ([LizzyZhang-tutu](https://github.com/LizzyZhang-tutu))
+ Adam Roegiest ([aroegies](https://github.com/aroegies))
+ Yue Zhang ([nsndimt](https://github.com/nsndimt))
+ Weihua Li ([w329li](https://github.com/w329li))
+ Julie Tibshirani ([jtibshirani](https://github.com/jtibshirani))
+ Toke Eskildsen ([tokee](https://github.com/tokee))
+ Zhaohao Zeng ([matthew-z](https://github.com/matthew-z))
+ Maik Fröbe ([mam10eks](https://github.com/mam10eks))
+ David Duan ([RootofalleviI](https://github.com/RootofalleviI))
+ Adrien Pouyet ([Ricocotam](https://github.com/Ricocotam))
+ Xing Niu ([xingniu](https://github.com/xingniu))
+ Alex Dou ([YimingDou](https://github.com/YimingDou))
+ Adrien Grand ([jpountz](https://github.com/jpountz))
+ Mengfei Liu ([meng-f](https://github.com/meng-f))
+ Mina Farid ([minafarid](https://github.com/minafarid))
+ Edward Lu ([edwardhdlu](https://github.com/edwardhdlu))
+ Gaurav Baruah ([gauravbaruah](https://github.com/gauravbaruah))
+ Mustafa Abualsaud ([ammsa](https://github.com/ammsa))
+ Jiarui Zhang ([jrzhang12](https://github.com/jrzhang12))
+ Stephen Green ([eelstretching](https://github.com/eelstretching))
