# Anserini Release Notes (v0.13.5)

**Release date: November 2, 2021**

+ Added bindings for queries for sparse learned models on MS MARCO V1.
+ Added missing qrel bindings for TREC 2020 News Track background linking task.
+ Added simple program to benchmark IO performance, reading collections from disk.
+ Refactored TREC-COVID regression scripts and added new scripts for earlier rounds, fixing issue described in [#1669](https://github.com/castorini/anserini/issues/1669).
+ Updated reproduction and regression scripts for Solr and Elasticsearch.
+ Updated MS MARCO V2 docs to sync with Pyserini counterpart.
+ Reduced logging frequency in batch search for `SimpleSearcher` and `SimpleImpactSearcher`.
+ Fixed broken CI, moving from Travis to GitHub actions.

## Contributors (This Release)

Sorted by number of commits:

+ Jimmy Lin ([lintool](https://github.com/lintool))

## All Contributors

All contributors with five or more commits, sorted by number of commits, [according to GitHub](https://github.com/castorini/Anserini/graphs/contributors):

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Peilin Yang ([Peilin-Yang](https://github.com/Peilin-Yang))
+ Ryan Clancy ([r-clancy](https://github.com/r-clancy))
+ Ahmet Arslan ([iorixxx](https://github.com/iorixxx))
+ Edwin Zhang ([edwinzhng](https://github.com/edwinzhng))
+ Rodrigo Nogueira ([rodrigonogueira4](https://github.com/rodrigonogueira4))
+ Emily Wang ([emmileaf](https://github.com/emmileaf))
+ Royal Sequiera ([rosequ](https://github.com/rosequ))
+ Chris Kamphuis ([Chriskamphuis](https://github.com/Chriskamphuis))
+ Victor Yang ([Victor0118](https://github.com/Victor0118))
+ Xueguang Ma ([MXueguang](https://github.com/MXueguang))
+ Boris Lin ([borislin](https://github.com/borislin))
+ Tommaso Teofili ([tteofili](https://github.com/tteofili))
+ Nikhil Gupta ([nikhilro](https://github.com/nikhilro))
+ Stephanie Hu ([stephaniewhoo](https://github.com/stephaniewhoo))
+ Yuhao Xie ([Kytabyte](https://github.com/Kytabyte))
+ Shane Ding ([shaneding](https://github.com/shaneding))
+ Ronak Pradeep ([ronakice](https://github.com/ronakice))
+ Kuang Lu ([lukuang](https://github.com/lukuang))
+ Adam Yang ([adamyy](https://github.com/adamyy))
+ Luchen Tan ([LuchenTan](https://github.com/LuchenTan))
+ Joel Mackenzie ([JMMackenzie](https://github.com/JMMackenzie))
+ Xinyu Mavis Liu ([x389liu](https://github.com/x389liu))
+ Salman Mohammed ([salman1993](https://github.com/salman1993))
+ Hang Cui ([HangCui0510](https://github.com/HangCui0510))
+ Zhiying Jiang ([bazingagin](https://github.com/bazingagin))
+ Johnson Han ([x65han](https://github.com/x65han))
+ Kelvin Jiang ([kelvin-jiang](https://github.com/kelvin-jiang))
+ Michael Tu ([tuzhucheng](https://github.com/tuzhucheng))
+ Yuqi Liu ([yuki617](https://github.com/yuki617))
+ Dayang Shi ([dyshi](https://github.com/dyshi))
+ Peng Shi ([Impavidity](https://github.com/Impavidity))
+ Zeynep Akkalyoncu Yilmaz ([zeynepakkalyoncu](https://github.com/zeynepakkalyoncu))
