# Anserini Release Notes (v0.24.1)

+ **Release date:** January 27, 2024
+ **Lucene version:** Lucene 9.9.1

## Summary of Changes

+ Updated prebuilt HNSW indexes.
+ Added ability to directly specify topic enums in `SearchCollection` and `SearchHnswDenseVectors`.
+ Added ONNX support for BGE (bge-base-en-v1.5).
+ Added MS MARCO v1 passage regressions for BGE (+ONNX).
+ Added BEIR regressions for BGE.
+ Added SPLADE++ ED topics for BEIR, replaced splade-distil-cocodenser-medium regressions.
+ Added direct support for `trec_eval` v9.0.4.
+ Released tarballs for BEIR regressions and updated instructions.

## Contributors (This Release)

Sorted by number of commits:

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Jasper Xian ([jasper-xian](https://github.com/jasper-xian))
+ Arthur Chen ([ArthurChen189](https://github.com/ArthurChen189))
+ Alexandru Stan ([AlexStan0](https://github.com/AlexStan0))
+ Gavin Wang ([BeginningGradeMaker](https://github.com/BeginningGradeMaker))
+ Ibrahim Ahmed ([ia03](https://github.com/ia03))
+ Matt Yang ([justram](https://github.com/justram))
+ Max Tang ([Tanngent](https://github.com/Tanngent))
+ charlie-liuu ([charlie-liuu](https://github.com/charlie-liuu))
+ Hima Sheth ([himasheth](https://github.com/himasheth))
+ wu-ming233 ([wu-ming233](https://github.com/wu-ming233))
+ Yuan-Hou ([Yuan-Hou](https://github.com/Yuan-Hou))

## All Contributors

All contributors with five or more commits, sorted by number of commits, [according to GitHub](https://github.com/castorini/Anserini/graphs/contributors):

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Peilin Yang ([Peilin-Yang](https://github.com/Peilin-Yang))
+ Ogundepo Odunayo ([ToluClassics](https://github.com/ToluClassics))
+ Xueguang Ma ([MXueguang](https://github.com/MXueguang))
+ Ahmet Arslan ([iorixxx](https://github.com/iorixxx))
+ Tommaso Teofili ([tteofili](https://github.com/tteofili))
+ Arthur Chen ([ArthurChen189](https://github.com/ArthurChen189))
+ Edwin Zhang ([edwinzhng](https://github.com/edwinzhng))
+ Rodrigo Nogueira ([rodrigonogueira4](https://github.com/rodrigonogueira4))
+ Matt Yang ([justram](https://github.com/justram))
+ Royal Sequiera ([rosequ](https://github.com/rosequ))
+ Emily Wang ([emmileaf](https://github.com/emmileaf))
+ Yuqi Liu ([yuki617](https://github.com/yuki617))
+ Victor Yang ([Victor0118](https://github.com/Victor0118))
+ Chris Kamphuis ([Chriskamphuis](https://github.com/Chriskamphuis))
+ Boris Lin ([borislin](https://github.com/borislin))
+ Nikhil Gupta ([nikhilro](https://github.com/nikhilro))
+ Shane Ding ([shaneding](https://github.com/shaneding))
+ Yuhao Xie ([Kytabyte](https://github.com/Kytabyte))
+ Jasper Xian ([jasper-xian](https://github.com/jasper-xian))
+ Stephanie Hu ([stephaniewhoo](https://github.com/stephaniewhoo))
+ Ronak Pradeep ([ronakice](https://github.com/ronakice))
+ Kuang Lu ([lukuang](https://github.com/lukuang))
+ Xinyu (Crystina) Zhang ([crystina-z](https://github.com/crystina-z))
+ Adam Yang ([adamyy](https://github.com/adamyy))
+ Joel Mackenzie ([JMMackenzie](https://github.com/JMMackenzie))
+ Salman Mohammed ([salman1993](https://github.com/salman1993))
+ Luchen Tan ([LuchenTan](https://github.com/LuchenTan))
+ Manveer Tamber ([manveertamber](https://github.com/manveertamber))
+ Xinyu Mavis Liu ([x389liu](https://github.com/x389liu))
+ Kelvin Jiang ([kelvin-jiang](https://github.com/kelvin-jiang))
+ Zhiying Jiang ([bazingagin](https://github.com/bazingagin))
+ Johnson Han ([x65han](https://github.com/x65han))
+ Akintunde Oladipo ([theyorubayesian](https://github.com/theyorubayesian))
+ Hang Cui ([HangCui0510](https://github.com/HangCui0510))
+ Matt Yang ([d1shs0ap](https://github.com/d1shs0ap))
+ Michael Tu ([tuzhucheng](https://github.com/tuzhucheng))
+ Mofe Adeyemi ([Mofetoluwa](https://github.com/Mofetoluwa))
+ Dayang Shi ([dyshi](https://github.com/dyshi))
+ Aileen Lin ([AileenLin](https://github.com/AileenLin))
+ Nandan Thakur ([thakur-nandan](https://github.com/thakur-nandan))
+ Yuqing Xie ([amyxie361](https://github.com/amyxie361))
+ Ryan Clancy ([ryan-clancy](https://github.com/ryan-clancy))
+ Zeynep Akkalyoncu Yilmaz ([zeynepakkalyoncu](https://github.com/zeynepakkalyoncu))
+ Peng Shi ([Impavidity](https://github.com/Impavidity))
