# Anserini Release Notes (v0.24.2)

+ **Release date:** February 27, 2024
+ **Lucene version:** Lucene 9.9.1

## Summary of Changes

+ Added support for pre-built BEIR indexes: flat, multifield, SPLADE++ ED, and BGE.
+ Added support for more readable lowercase topics.
+ Added SPLADE++ ED and BGE regressions with ONNX on BEIR.
+ Added Cohere regressions for MS MARCO passage.
+ Added CIRAL regressions.
+ Fixed max length issue with ONNX SPLADE++ ED and BGE models.
+ Upgraded ONNX runtime version.

## Contributors (This Release)

Sorted by number of commits:

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Arthur Chen ([ArthurChen189](https://github.com/ArthurChen189))
+ Mofe Adeyemi ([Mofetoluwa](https://github.com/Mofetoluwa))
+ Jasper Xian ([jasper-xian](https://github.com/jasper-xian))
+ ASChampOmega ([ASChampOmega](https://github.com/ASChampOmega))
+ Danny ([dannychn11](https://github.com/dannychn11))
+ Eric Zhang ([16BitNarwhal](https://github.com/16BitNarwhal))
+ Melissa Meng ([17Melissa](https://github.com/17Melissa))
+ chloeqxq ([chloeqxq](https://github.com/chloeqxq))
+ ru5h16h ([ru5h16h](https://github.com/ru5h16h))

## All Contributors

All contributors with five or more commits, sorted by number of commits, [according to GitHub](https://github.com/castorini/Anserini/graphs/contributors):

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Peilin Yang ([Peilin-Yang](https://github.com/Peilin-Yang))
+ Ogundepo Odunayo ([ToluClassics](https://github.com/ToluClassics))
+ Xueguang Ma ([MXueguang](https://github.com/MXueguang))
+ Arthur Chen ([ArthurChen189](https://github.com/ArthurChen189))
+ Ahmet Arslan ([iorixxx](https://github.com/iorixxx))
+ Tommaso Teofili ([tteofili](https://github.com/tteofili))
+ Edwin Zhang ([edwinzhng](https://github.com/edwinzhng))
+ Rodrigo Nogueira ([rodrigonogueira4](https://github.com/rodrigonogueira4))
+ Matt Yang ([justram](https://github.com/justram))
+ Royal Sequiera ([rosequ](https://github.com/rosequ))
+ Emily Wang ([emmileaf](https://github.com/emmileaf))
+ Yuqi Liu ([yuki617](https://github.com/yuki617))
+ Victor Yang ([Victor0118](https://github.com/Victor0118))
+ Chris Kamphuis ([Chriskamphuis](https://github.com/Chriskamphuis))
+ Boris Lin ([borislin](https://github.com/borislin))
+ Nikhil Gupta ([nikhilro](https://github.com/nikhilro))
+ Jasper Xian ([jasper-xian](https://github.com/jasper-xian))
+ Yuhao Xie ([Kytabyte](https://github.com/Kytabyte))
+ Shane Ding ([shaneding](https://github.com/shaneding))
+ Stephanie Hu ([stephaniewhoo](https://github.com/stephaniewhoo))
+ Ronak Pradeep ([ronakice](https://github.com/ronakice))
+ Kuang Lu ([lukuang](https://github.com/lukuang))
+ Adam Yang ([adamyy](https://github.com/adamyy))
+ Joel Mackenzie ([JMMackenzie](https://github.com/JMMackenzie))
+ Mofe Adeyemi ([Mofetoluwa](https://github.com/Mofetoluwa))
+ Xinyu (Crystina) Zhang ([crystina-z](https://github.com/crystina-z))
+ Xinyu Mavis Liu ([x389liu](https://github.com/x389liu))
+ Luchen Tan ([LuchenTan](https://github.com/LuchenTan))
+ Manveer Tamber ([manveertamber](https://github.com/manveertamber))
+ Salman Mohammed ([salman1993](https://github.com/salman1993))
+ Kelvin Jiang ([kelvin-jiang](https://github.com/kelvin-jiang))
+ Zhiying Jiang ([bazingagin](https://github.com/bazingagin))
+ Johnson Han ([x65han](https://github.com/x65han))
+ Akintunde Oladipo ([theyorubayesian](https://github.com/theyorubayesian))
+ Matt Yang ([d1shs0ap](https://github.com/d1shs0ap))
+ Hang Cui ([HangCui0510](https://github.com/HangCui0510))
+ Michael Tu ([tuzhucheng](https://github.com/tuzhucheng))
+ Aileen Lin ([AileenLin](https://github.com/AileenLin))
+ Dayang Shi ([dyshi](https://github.com/dyshi))
+ Nandan Thakur ([thakur-nandan](https://github.com/thakur-nandan))
+ Yuqing Xie ([amyxie361](https://github.com/amyxie361))
+ Ryan Clancy ([ryan-clancy](https://github.com/ryan-clancy))
+ Zeynep Akkalyoncu Yilmaz ([zeynepakkalyoncu](https://github.com/zeynepakkalyoncu))
+ Peng Shi ([Impavidity](https://github.com/Impavidity))
