# Anserini Release Notes (v0.35.1)

+ **Release date:** April 24, 2024
+ **Lucene version:** Lucene 9.9.1

## Summary of Changes

+ Added bindings for MS MARCO V2.1 prebuilt indexes + qrels.
+ Added option to generate jsonl request output for reranking.
+ Added initial implementation of Spring Boot backend and next.js frontend.
+ Refactored regressions with prebuilt indexes.
+ Refactored (some) regressions to adopt new, consistent schema for naming.
+ Enabled OpenAI ada2 regressions.
+ Fixed code for TREC-COVID regressions and fine-tuning experiments.
+ Addressed various address security vulnerabilities via dependency upgrades.

## Contributors (This Release)

Sorted by number of commits:

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Eric Zhang ([16BitNarwhal](https://github.com/16BitNarwhal))
+ Alex Lin ([a68lin](https://github.com/a68lin))
+ Daniel Kohn ([DanielKohn1208](https://github.com/DanielKohn1208))
+ Gerald ([Gelardinio](https://github.com/Gelardinio))
+ Ogundepo Odunayo ([ToluClassics](https://github.com/ToluClassics))
+ Ronak Pradeep ([ronakice](https://github.com/ronakice))
+ th13nd4n0 ([th13nd4n0](https://github.com/th13nd4n0))

## All Contributors

All contributors with five or more commits, sorted by number of commits, [according to GitHub](https://github.com/castorini/Anserini/graphs/contributors):

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Peilin Yang ([Peilin-Yang](https://github.com/Peilin-Yang))
+ Ogundepo Odunayo ([ToluClassics](https://github.com/ToluClassics))
+ Arthur Chen ([ArthurChen189](https://github.com/ArthurChen189))
+ Xueguang Ma ([MXueguang](https://github.com/MXueguang))
+ Ahmet Arslan ([iorixxx](https://github.com/iorixxx))
+ Tommaso Teofili ([tteofili](https://github.com/tteofili))
+ Edwin Zhang ([edwinzhng](https://github.com/edwinzhng))
+ Rodrigo Nogueira ([rodrigonogueira4](https://github.com/rodrigonogueira4))
+ Jheng-Hong Yang ([justram](https://github.com/justram))
+ Royal Sequiera ([rosequ](https://github.com/rosequ))
+ Emily Wang ([emmileaf](https://github.com/emmileaf))
+ Yuqi Liu ([yuki617](https://github.com/yuki617))
+ Chris Kamphuis ([Chriskamphuis](https://github.com/Chriskamphuis))
+ Victor Yang ([Victor0118](https://github.com/Victor0118))
+ Boris Lin ([borislin](https://github.com/borislin))
+ Nikhil Gupta ([nikhilro](https://github.com/nikhilro))
+ Jasper Xian ([jasper-xian](https://github.com/jasper-xian))
+ Ronak Pradeep ([ronakice](https://github.com/ronakice))
+ Stephanie Hu ([stephaniewhoo](https://github.com/stephaniewhoo))
+ Yuhao Xie ([Kytabyte](https://github.com/Kytabyte))
+ Shane Ding ([shaneding](https://github.com/shaneding))
+ Kuang Lu ([lukuang](https://github.com/lukuang))
+ Mofe Adeyemi ([Mofetoluwa](https://github.com/Mofetoluwa))
+ Joel Mackenzie ([JMMackenzie](https://github.com/JMMackenzie))
+ Xinyu (Crystina) Zhang ([crystina-z](https://github.com/crystina-z))
+ Adam Yang ([adamyy](https://github.com/adamyy))
+ Salman Mohammed ([salman1993](https://github.com/salman1993))
+ Xinyu Mavis Liu ([x389liu](https://github.com/x389liu))
+ Luchen Tan ([LuchenTan](https://github.com/LuchenTan))
+ Manveer Tamber ([manveertamber](https://github.com/manveertamber))
+ Kelvin Jiang ([kelvin-jiang](https://github.com/kelvin-jiang))
+ Eric Zhang ([16BitNarwhal](https://github.com/16BitNarwhal))
+ Hang Cui ([HangCui0510](https://github.com/HangCui0510))
+ Matt Yang ([d1shs0ap](https://github.com/d1shs0ap))
+ Zhiying Jiang ([bazingagin](https://github.com/bazingagin))
+ Johnson Han ([x65han](https://github.com/x65han))
+ Akintunde Oladipo ([theyorubayesian](https://github.com/theyorubayesian))
+ Michael Tu ([tuzhucheng](https://github.com/tuzhucheng))
+ Aileen Lin ([AileenLin](https://github.com/AileenLin))
+ Dayang Shi ([dyshi](https://github.com/dyshi))
+ Yuqing Xie ([amyxie361](https://github.com/amyxie361))
+ Nandan Thakur ([thakur-nandan](https://github.com/thakur-nandan))
+ Peng Shi ([Impavidity](https://github.com/Impavidity))
+ Zeynep Akkalyoncu Yilmaz ([zeynepakkalyoncu](https://github.com/zeynepakkalyoncu))
+ Ryan Clancy ([ryan-clancy](https://github.com/ryan-clancy))
