# Adding an Entry to the "Reproduction Log"

To contribute an entry to the "Reproduction Log" in a project's repository, follow these steps:

1. **Fork the Repository:**
   - If you don't already have a fork of the project's repository, go to the repository on GitHub (or the platform it's hosted on).
   - Click the "Fork" button. This will create a copy of the repository in your own GitHub account.

2. **Clone Your Fork:**
   - Once you have your own fork, clone it to your local machine using Git.

3. **Edit the Reproduction Log:**

    - Open the "Reproduction Log" file in a text editor. It should be located in the project's repository. The file are named like "experiments-msmarco-doc.md" and "start-here.md".

4. **Add an entry**
    - Add your entry to the bottom of the "Reproduction Log" following the same format as the existing entries.
    - Here's an example of how it should look:
   
    ```bash
    Results reproduced by @YourUsername on yyyy-mm-dd (commit YourCommitID)

5. **Push Your Changes:**
    - Push the changes to your fork on GitHub:

6. **Create a Pull Request (PR):**
    - Go to your fork on GitHub and you should see a prompt to create a new pull request for the branch you just pushed.
    - Click on it and follow the instructions to create the pull request.

7. **Submit the Pull Request:**
    - Write a clear and concise description of your system environment (Java, Python, Maven version and ...) in the pull request, and submit it. This will notify the project maintainers of your proposed changes.

8. **Wait for Review:**
    - Project maintainers will review your pull request, and if everything looks good, they may merge it into the main repository.
